Elasticsearch-groovy 5 availability


#1

Hi,

In the Elasticsearch documentation for elasticsearch-groovy there is a reference to Maven Central with version 5.0.0-alpha5 however the latest version available on any repo is 2.x. The github repo has no 5.x branch and the latest contribution was almost a year ago. Am I missing some artifacts? Will the elasticsearch-groovy library be updated to support Elasticsearch 5?

https://www.elastic.co/guide/en/elasticsearch/client/groovy-api/master/_preface.html#_preface

(Trying to use the Java library resulted in importing plenty of dependencies and eventually a NullPointerException)

Thanks for any help!


(Mike Simos) #2

Hi,

See this Github issue:

Seems like one will be available in the near future.


#3

Thank you @msimos, missed that issue. Good news.


(system) #4